{"id":4377,"date":"2026-11-12T19:32:54","date_gmt":"2026-11-12T19:32:54","guid":{"rendered":"https:\/\/developers.maplink.global\/?p=4377"},"modified":"2026-11-12T19:32:54","modified_gmt":"2026-11-12T19:32:54","slug":"error-messages","status":"publish","type":"post","link":"https:\/\/developers.maplink.global\/en\/error-messages\/","title":{"rendered":"Error messages"},"content":{"rendered":"\n<p class=\"wp-block-paragraph\">The table below shows all error messages the API can return in the <code>message<\/code> field:<\/p>\n\n\n\n<figure class=\"wp-block-table\"><table class=\"has-fixed-layout\"><tbody><tr><th>Parameter<\/th><th>Message<\/th><th>Description<\/th><\/tr><tr><td><code>zipcode<\/code> \/ <code>label<\/code><\/td><td><code>The zipcode field must contain exactly 8 digits<\/code><\/td><td>The ZIP code was not sent, neither in the <code>zipcode<\/code> parameter nor in the <code>label<\/code>, or it does not have exactly 8 digits after the hyphen is removed.<\/td><\/tr><tr><td><code>road<\/code><\/td><td><code>size must be between 0 and 150<\/code><\/td><td>The <code>road<\/code> has more than 150 characters.<\/td><\/tr><tr><td><code>label<\/code><\/td><td><code>Structure error on label field<\/code><\/td><td>At least one of the five separating commas is missing in the <code>label<\/code>. This error takes precedence over ZIP code format errors.<\/td><\/tr><tr><td>All<\/td><td><code>Request body cannot be empty<\/code><\/td><td>None of the parameters <code>road<\/code>, <code>number<\/code>, <code>zipcode<\/code>, <code>district<\/code>, <code>city<\/code> or <code>label<\/code> was filled.<\/td><\/tr><\/tbody><\/table><\/figure>\n\n\n\n<h3 class=\"wp-block-heading\">Example with the label format<\/h3>\n\n\n\n<p class=\"wp-block-paragraph\">In the example below, the <code>label<\/code> has only four commas, because the separator between the street and the number is missing:<\/p>\n\n\n\n<pre class=\"EnlighterJSRAW\" data-enlighter-language=\"generic\" data-enlighter-theme=\"\" data-enlighter-highlight=\"\" data-enlighter-linenumbers=\"\" data-enlighter-lineoffset=\"\" data-enlighter-title=\"\" data-enlighter-group=\"\">{\n  \"label\": \"av paulista 1578,bela vista,01310200,sao paulo,SP\"\n}<\/pre>\n\n\n\n<p class=\"wp-block-paragraph\">The request is rejected with the response below:<\/p>\n\n\n\n<pre class=\"EnlighterJSRAW\" data-enlighter-language=\"generic\" data-enlighter-theme=\"\" data-enlighter-highlight=\"\" data-enlighter-linenumbers=\"\" data-enlighter-lineoffset=\"\" data-enlighter-title=\"\" data-enlighter-group=\"\">{\n  \"title\": \"Constraint Violation\",\n  \"status\": 400,\n  \"violations\": [\n    {\n      \"field\": \"analyze.request.label\",\n      \"message\": \"Structure error on label field\"\n    }\n  ]\n}<\/pre>\n\n\n\n<h3 class=\"wp-block-heading\">Examples with the structured format<\/h3>\n\n\n\n<p class=\"wp-block-paragraph\"><strong>ZIP code with fewer than 8 digits<\/strong><\/p>\n\n\n\n<p class=\"wp-block-paragraph\">In the example below, the <code>zipcode<\/code> has only 7 digits after the hyphen is removed:<\/p>\n\n\n\n<pre class=\"EnlighterJSRAW\" data-enlighter-language=\"generic\" data-enlighter-theme=\"\" data-enlighter-highlight=\"\" data-enlighter-linenumbers=\"\" data-enlighter-lineoffset=\"\" data-enlighter-title=\"\" data-enlighter-group=\"\">{\n  \"road\": \"r da cantarera 306 box 12\",\n  \"number\": \"\",\n  \"zipcode\": \"01024-00\",\n  \"district\": \"centro\",\n  \"city\": \"sao paulo\",\n  \"state\": \"SP\"\n}<\/pre>\n\n\n\n<p class=\"wp-block-paragraph\">The request is rejected with the response below:<\/p>\n\n\n\n<pre class=\"EnlighterJSRAW\" data-enlighter-language=\"generic\" data-enlighter-theme=\"\" data-enlighter-highlight=\"\" data-enlighter-linenumbers=\"\" data-enlighter-lineoffset=\"\" data-enlighter-title=\"\" data-enlighter-group=\"\">{\n  \"title\": \"Constraint Violation\",\n  \"status\": 400,\n  \"violations\": [\n    {\n      \"field\": \"analyze.request.zipcode\",\n      \"message\": \"The zipcode field must contain exactly 8 digits\"\n    }\n  ]\n}<\/pre>\n\n\n\n<p class=\"wp-block-paragraph\"><strong>Street above the character limit<\/strong><\/p>\n\n\n\n<p class=\"wp-block-paragraph\">In the example below, the <code>road<\/code> has more than 150 characters:<\/p>\n\n\n\n<pre class=\"EnlighterJSRAW\" data-enlighter-language=\"generic\" data-enlighter-theme=\"\" data-enlighter-highlight=\"\" data-enlighter-linenumbers=\"\" data-enlighter-lineoffset=\"\" data-enlighter-title=\"\" data-enlighter-group=\"\">{\n  \"road\": \"rua da cantareira 306 box 12 mercado municipal de sao paulo entrada pela porta lateral proximo ao estacionamento falar com o responsavel pelo recebimento no horario comercial\",\n  \"number\": \"\",\n  \"zipcode\": \"01024-000\",\n  \"district\": \"centro\",\n  \"city\": \"sao paulo\",\n  \"state\": \"SP\"\n}<\/pre>\n\n\n\n<p class=\"wp-block-paragraph\">The request is rejected with the response below:<\/p>\n\n\n\n<pre class=\"EnlighterJSRAW\" data-enlighter-language=\"generic\" data-enlighter-theme=\"\" data-enlighter-highlight=\"\" data-enlighter-linenumbers=\"\" data-enlighter-lineoffset=\"\" data-enlighter-title=\"\" data-enlighter-group=\"\">{\n  \"title\": \"Constraint Violation\",\n  \"status\": 400,\n  \"violations\": [\n    {\n      \"field\": \"analyze.request.road\",\n      \"message\": \"size must be between 0 and 150\"\n    }\n  ]\n}<\/pre>\n","protected":false},"excerpt":{"rendered":"<p>The table below shows all error messages the API can return in the message field: Parameter Message Description zipcode \/ label The zipcode field must contain exactly 8 digits The ZIP code was not sent, neither in the zipcode parameter nor in the label, or it does not have exactly 8 digits after the hyphen [&hellip;]<\/p>\n","protected":false},"author":6,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"_acf_changed":false,"inline_featured_image":false,"footnotes":""},"categories":[175],"tags":[],"class_list":["post-4377","post","type-post","status-publish","format-standard","hentry","category-address-analyzer-en"],"acf":[],"_links":{"self":[{"href":"https:\/\/developers.maplink.global\/en\/wp-json\/wp\/v2\/posts\/4377","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developers.maplink.global\/en\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developers.maplink.global\/en\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developers.maplink.global\/en\/wp-json\/wp\/v2\/users\/6"}],"replies":[{"embeddable":true,"href":"https:\/\/developers.maplink.global\/en\/wp-json\/wp\/v2\/comments?post=4377"}],"version-history":[{"count":1,"href":"https:\/\/developers.maplink.global\/en\/wp-json\/wp\/v2\/posts\/4377\/revisions"}],"predecessor-version":[{"id":4378,"href":"https:\/\/developers.maplink.global\/en\/wp-json\/wp\/v2\/posts\/4377\/revisions\/4378"}],"wp:attachment":[{"href":"https:\/\/developers.maplink.global\/en\/wp-json\/wp\/v2\/media?parent=4377"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developers.maplink.global\/en\/wp-json\/wp\/v2\/categories?post=4377"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developers.maplink.global\/en\/wp-json\/wp\/v2\/tags?post=4377"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}